--- encoder/slicetype_decision.c
+++ encoder/slicetype_decision.c
@@ -40,9 +40,9 @@
     h->mb.b_chroma_me = 0;
 }
 
-int x264_slicetype_mb_cost( x264_t *h, x264_mb_analysis_t *a,
-                            x264_frame_t **frames, int p0, int p1, int b,
-                            int dist_scale_factor )
+static int x264_slicetype_mb_cost( x264_t *h, x264_mb_analysis_t *a,
+                                   x264_frame_t **frames, int p0, int p1, int b,
+                                   int dist_scale_factor )
 {
     x264_frame_t *fref0 = frames[p0];
     x264_frame_t *fref1 = frames[p1];
@@ -308,7 +308,7 @@
     return i_score;
 }
 
-void x264_slicetype_analyse( x264_t *h )
+static void x264_slicetype_analyse( x264_t *h )
 {
     x264_mb_analysis_t a;
     x264_frame_t *frames[X264_BFRAME_MAX+3] = { NULL, };
